Adapt to OpenWatcom make.

Index: build/unix/Makefile
===================================================================
RCS file: /home/asau/repo/cvs/pforth/build/unix/Makefile,v
retrieving revision 1.1.1.5
diff -u -r1.1.1.5 Makefile
--- build/unix/Makefile	27 Aug 2010 19:03:48 -0000	1.1.1.5
+++ build/unix/Makefile	1 Sep 2010 23:46:34 -0000
@@ -5,7 +5,7 @@
 #
 # See "help" target below.
 
-.POSIX:
+##.POSIX:
 
 # Options include: PF_SUPPORT_FP PF_NO_MALLOC PF_NO_INIT PF_DEBUG
 # See "docs/pf_ref.htm" file for more info.
@@ -66,15 +66,20 @@
 COMPILE = $(CC) $(XCFLAGS) $(CFLAGS) $(XCPPFLAGS) $(CPPFLAGS)
 LINK = $(CC) $(XLDFLAGS) $(LDFLAGS)
 
-.SUFFIXES: .c .o .eo
+.SUFFIXES:
+.SUFFIXES: .o .eo .c .h
 
 PFOBJS     = $(PFSOURCE:.c=.o)
 PFEMBOBJS  = $(PFSOURCE:.c=.eo)
 
-.c.o: $(PFINCLUDES)
+.h: ./csrc
+.c: ./csrc;./csrc/posix
+CC=cc
+
+.c.o: # $(PFINCLUDES)
 	$(COMPILE) -c -o $@ $<
 
-.c.eo: $(PFINCLUDES) pfdicdat.h
+.c.eo: # $(PFINCLUDES) pfdicdat.h
 	$(COMPILE) $(EMBCCOPTS) -c -o $@ $<
 
 all: $(PFORTHAPP)
@@ -131,7 +136,7 @@
 	wd=$$(pwd); (cd $(FTHDIR); $${wd}/pforth_standalone -q t_alloc.fth)
 	wd=$$(pwd); (cd $(FTHDIR); $${wd}/pforth_standalone -q t_floats.fth)
 
-clean:
+clean: .SYMBOLIC
 	rm -f $(PFOBJS) $(PFEMBOBJS)
 	rm -f $(PFORTHAPP)
 	rm -f $(PFDICDAT) $(FTHDIR)/$(PFDICDAT)
